Welcome to Click! Finder vers. 1.0 for Windows 3.0.
---------------------------------------------------

Click! Finder is the first companion program to Click! Filer, by
TrogloByte.  Finder is a powerful disk and file management tool designed 
to aid you controlling multiple versions of files on your PC's Hard Drive.  
This is also the first program from TrogloByte to feature our new 3-D 
interface.

Much like Click! Filer, this program is principly controlled through 
buttons and dialogs, minimizing use of the menu bars.  Finder's windows 
are arranged to provide all the most needed tools when you need them.

The main window to Finder presents Controls on top and results on the 
bottom of the window.  

GROUP( Topmost Left corner )
----------------------------

Masks Edit Box:		Enter a wild card or s specific file name in this 	
			edit box to indicate the range of files in the 		
			search.
Mask '+' push button:	Pressing this button adds the current contents of 	
			the Mask Edit Box to a Mask History.  The history 	
			is a list of masks which can be loaded and saved 	
			as unique files.
Mask '?' push button:	Pressing this button calls a dialog window from 	
			which you can select a mask from a mask	history.

Path Edit Box:		Enter a valid drive:\path in this edit box to 		
			provide a search path to use in a search.
Path '+' push button:	Pressing this button adds the current contents of 	
			the Path Edit Box to a Path History.  The history 	
			is a list of paths which can be loaded and saved 	
			as unique files.
Path '?' push button:	Pressing this button calls a dialog window from 	
			which you can select a path from a path	history.

Path Browse Button:	Pressing this button calls a dialog from which 		
			you can browse through drives and paths to obtain 	
			a full path name.

GROUP( Topmost right )
----------------------

Radio Buttons		Allow you indicate whether the search should be 	
			conducted in the current path ( and it's 		
			subdirectories ) or to search the drives 		
			indicated in the drive listbox.

Drive List Box:		Multi-Select Listbox containing the names of all 	
			drives in your system.  You can select as many as 	
			you wish for inclusion in a search.

GROUP( SearchFilters )
----------------------

Time Constraint Button:	Pressing this button calls a dialog which 		
			provides the means to indicate the Date-Time 		
			scope of a search.  You can elect to ignore 		
			date-time, or select from within a range of 		
			date-times.
Attributes:		Pressing this button provides a dialog from which 	
			you can indicate the file attributes to consider 	
			in a search.  Whether all attributes must be part 	
			of a matching file or at least on attribute.  		
			Default also exist to elect to always match 		
			normal files ( in our case this means a file with 	
			NO ATRRIBUTES ( A, R, S, H ).
Config Button:		Pressing this button calls the config control for 	
			Click! Finder.  This dialog allows you to set the 	
			various configuration files to load on startup.  	
			To set the starting path and mask.  Also you can 	
			indicate the editor program you wish to use when 	
			calling the programs user defined editor.
GROUP( Control )
----------------

Find Files:		IF a mask & path/or drive is selected, this 		
			button is enabled.  Pressing it begins the search 	
			for files matching you requirements.  All files 	
    			which are found are added to the 'Found File 		
			List' at the bottom of the window.

Remove From List:	Once files have been placed in the 'Found File 
			List', if you select a file

Explore List:		Press this button and call the Explore Utilty
			Screen.  Using this screenyou can explore the
			List of found files.  You can perform smaller 
			more selective comparisons between files in the 
			list.  You can Edit, rename, delete and execute
			files in the list.

GROUP( Found File List )
------------------------

	This is principally a list of all files which matched the 
filters set for the Find.  The list contains the fullpathnames for each
file found.



Explore Found File List Window
------------------------------


This is the second utilty Window within Click! Finder.  This window 
provides many functions which are missing in other File Finding Programs.
The TrogloByte Design Team realized that Finding Files is only half the
project the user usually is undertaking.  While finding the files which 
match your parameter is useful, the nature of each file is now in question.

The Explore Utility allows you to select a file and then locate others in
the list which match the Duplicate test Parameters you select.  You can
take a file from the Found File Lsit or the Duplicate List and call a 
user determined editor to look at the file.  Likewise you can execute the
file, perhaps to inspect the version number.  You can remove files from 
the list which you no longer wish to include in further testing.  You can 
rename files which you have identified but wish to keep by a different name
to avoid confusion in the future.  You can delete files which you have 
determined to no longer needed.  Files which are renamed or deleted 
change in the lists to reflect the new conditions.

The Duplication tests are several.  You can choose to compare files based
on matching names ( or ignore names altogether ).  You can match attributes
in exact patterns, partial patterns or even include Normals ( NO 
ATTRIBUTES ).  Date-Timestamp matching includes exact, within x days of 
today, or between to selected days.  You can request that a binary compare
be performed.  Or match based on size alone.

When matching between 2 dates, NOTE the first date will test as the 1st min
of that day and the last date will test true through the last min of the 
day.

CONFIGURATIONS WITHIN CLICK! FINDER
-----------------------------------

There are 4 configuration files in Click! Finder.  

.FPH	Path history files
.FMH	Mask history files
.FDU	Duplicate Test parameter files
.CFF	The application configuration file.  Click! Finder always loads
	'default.cff' at startup.  You can modify this file are you need.
	you can save other .CFF files under different names and load them]
	after startup.

Application Configuration Window
---------------------------------

You can set the name of the current FPH, FMH and FDU files.  You can 
select the default editor.  You can set the starting mask and path.
You can elect to save with or without the current Find Attributes, Find
DateTime Params and the Duplicate parameters.

Find Attribute Filter Window
----------------------------

You can set the parameters of the Find to match specific combinations of
attribute ( including or excluding Normal files ) or likewise request 
a match on any selected attribute ( including or excluding NORMAL ).

Find Date Time Filter Window
----------------------------

You can match files irregardless of date time, or match files occuring
within x days from today, or files within 2 dates.

Mask History Window
-------------------

Called with the '?' button, you can add and delete entries from this list
of masks.  You can select a mask to use.  You can likewise load and save
mask histories. 

Path History Window
-------------------

Called with the '?' button, you can add and delete entries from this list
of paths.  You can select a path to use.  You can likewise load and save
path histories. 

About Box Window
----------------

Explains the operating mode of windows, and available memory.  Also 
provides the Version of the Click! Finder program you care running.
Pressing Next displays the Registration Info and Address for registering
this program.  Registration is $15, a rather modest sum for a utility
which we feel looks and performs as good as any Commercial program.  Your
registration helps insure that we at TrogloByte can continue to provide
enhancements to the program and also develop other programs which we hope
you will find at least as useful as this one.


DEFINITION OF SHAREWARE
-----------------------

Shareware distribution gives users a chance to try software before buying it. 
If you try a Shareware program and continue using it, you are expected to 
register. Individual programs differ on details -- some request registration 
while others require it, some specify a maximum trial period. With
registration, you get anything from the simple right to continue using the 
software to an updated program with printed manual.

Copyright laws apply to both Shareware and commercial software, and the 
copyright holder retains all rights, with a few specific exceptions as stated 
below. Shareware authors are accomplished programmers, just like commercial 
authors, and the programs are of comparable quality. (In both cases, there 
are good programs and bad ones!) The main difference is in the method of
distribution. The author specifically grants the right to copy and distribute
the software, either to all and sundry or to a specific group. For example, 
some authors require written permission before a commercial disk vendor may 
copy their Shareware.

Shareware is a distribution method, not a type of software. You should find 
software that suits your needs and pocketbook, whether it's commercial or 
Shareware. The Shareware system makes fitting your needs easier, because you 
can try before you buy. And because the overhead is low, prices are low also.
Shareware has the ultimate money-back guarantee -- if you don't use the
product, you don't pay for it.


DISCLAIMER - AGREEMENT
----------------------

Users of Click! Finder must accept this disclaimer of warranty: "Click! Finder 
is supplied as is.  The author disclaims all warranties, expressed or implied,
including, without limitation, the warranties of merchantability and of 
fitness for any purpose. The author assumes no liability for damages, direct 
or consequential, which may result from the use of Click! Finder."

Click! Finder is a "shareware program" and is provided at no charge to the 
user for evaluation.  Feel free to share it with your friends, but please do 
not give it away altered or as part of another system.  The essence of 
"user-supported" software is to provide personal computer users with quality 
software without high prices, and yet to provide incentive for programmers to
continue to develop new products.  If you find this program useful and find 
that you are using Click! Finder and continue to use Click! Finder after a 
reasonable trial period, you must make a registration payment of $15 US to 
TrogloByte.  The $15 registration fee will license one copy for use on any 
one computer at any one time.  You must treat this software just like a book.
An example is that this software may be used by any number of people and may 
be freely moved from one computer location to another, so long as there is 
no possibility of it being used at one location while it's being used at 
another. Just as a book cannot be read by two different persons at the
same time. Note: Ohio residents must include 5.5% Sales tax in addition to 
$15 registration fee as per Ohio Sales Tax Laws.

Commercial users of Click! Finder must register and pay for their copies of 
Click! Finder within 30 days of first use or their license is withdrawn.  
Site-License arrangements may be made by contacting TrogloByte.

Anyone distributing Click! Finder for any kind of remuneration must first 
contact TrogloByte at the address below for authorization. This authorization
will be automatically granted to distributors recognized by the (ASP) as 
adhering to its guidelines for shareware distributors, and such distributors 
may begin offering Click! Finder immediately (However TrogloByte must still 
be advised so that the distributor can be kept up-to-date with the latest
version of Click! Finder.).

You are encouraged to pass a copy of Click! Finder along to your friends for 
evaluation.  Please encourage them to register their copy if they find that 
they can use it.  All registered users will receive a copy of the latest 
version of the Click! Finder system, as well as a Printed Manual.  The manual
provides detailed explanations of the program and many screen captures to 
illustrate the various Windows and Dialog boxes which the user will encounter
while using the program.  The Registered version does not startup with the
About Box screen, allowing you to go straight to work without the reminder
about registration.



